﻿using System;

namespace EntornoWeb.Common
{
    /// <summary>
    /// Constantes con los textos que recibe el usuario
    /// </summary>
    public static class MensajeUsuario
    {
        /// <summary>
        /// Texto a mostrar en caso de que no exista asignación
        /// </summary>
        public const string STR_NO_ASIGNADO = "Sin asignación";

        /// <summary>
        /// Mensaje de error en caso de desasignar la ocupación de un empleado 
        /// </summary>
        public const String STR_INFO_ASIGNAR_OCUPACION = "INFORMACIÓN: No está permitido desasignar la ocupación del empleado. Asigne la nueva ocupación para desasignar la actual.";
        
        /// <summary>
        /// Mensaje de error en caso de eliminar una ocupación
        /// </summary>
        public const String STR_INFO_ELIMINAR_OCUPACION = "INFORMACIÓN: No es posible eliminar una ocupación";
    }
}