﻿using System.Web.Mvc;
using NHibernate_SGF.Services;

namespace EntornoWeb.Controllers
{
    /// <summary>
    /// Controlador de la página principal
    /// </summary>
    [HandleError]
    public class HomeController : SGFController
    {
        /// <summary>
        /// Capturador de la acción de testing del aplicativo
        /// </summary>
        /// <returns>Vista que muestra el resultado del test</returns>
        public ActionResult Testing()
        {
            try
            {
                EmpleadoService.ObtenerLista();
                ViewData["Resultado"] = Common.Constants.STR_TESTING_CODIGO_OK;
            }
            catch
            {
                ViewData["Resultado"] = Common.Constants.STR_TESTING_CODIGO_ERROR;
            }
            
            return View();
        }
    }
}
