﻿// Inserta el porcentaje
function formatoPorcentajeON(cellvalue, options, rowObject) { return cellvalue + ' %'; }

// Elimina el porcentaje
function formatoPorcentajeOFF(cellvalue, options, rowObject) { return cellvalue.replace(' %', ''); }

// Decimal -> Horario
function formatoHorasON(cellvalue, options, rowObject) {
    var resultado;
    if (cellvalue.indexOf(',') == -1) {
        if (cellvalue == 1) { resultado = cellvalue + ' hora'; }
        else { resultado = cellvalue + ' horas'; }
    }
    else {
        var minutos;
        cellvalue = cellvalue.replace(',', '.');
        minutos = cellvalue - Math.floor(cellvalue)
        minutos = 60 * minutos;
        resultado = Math.floor(cellvalue) + ' h ' + Math.ceil(minutos) + ' min';
    }
    return resultado;
}

// Horario -> Decimal
function formatoHorasOFF(cellvalue, options, rowObject) {
    var resultado;
    if (cellvalue.indexOf(' min') == -1) {
        resultado = cellvalue.replace(' horas', '');
        resultado = resultado.replace(' hora', '');
    }
    else {
        var time = cellvalue.split(' h ');
        resultado = parseInt(time[1].replace(' min', ''));
        resultado = parseInt(time[0]) + (resultado / 60);
        resultado = resultado.toString().replace('.', ',');
    }
    return resultado;
}

// Decimal -> Horario
function formatoMinutosON(cellvalue, options, rowObject) {
    var resultado;
    if (cellvalue / 60 == 0) {
        if (cellvalue / 60 == 1) { resultado = cellvalue + ' minuto'; }
        else { resultado = cellvalue + ' minutos'; }
    }
    else {
        resultado = Math.floor(cellvalue / 60) + ' h ' + cellvalue % 60 + ' min';
    }
    return resultado;
}

// Horario -> Decimal
function formatoMinutosOFF(cellvalue, options, rowObject) {
    var resultado;
    if (cellvalue.indexOf(' minuto') != -1) {
        resultado = cellvalue.replace(' minutos', '');
        resultado = resultado.replace(' minuto', '');
    }
    else {
        var time = cellvalue.split(' h ');
        resultado = parseInt(time[1].replace(' min', ''));
        resultado = parseInt(time[0] * 60) + (resultado);
    }
    return resultado;
}