﻿using System;
using System.Collections.Generic;
using System.Text;

namespace NHibernate_SGF.Entities
{
    /// <summary>
    /// Colectivo de empleados
    /// </summary>
    public class Colectivo
    {
        private int intIdint;
        private string strNombre;
        private string strDescripcion;
        private bool blnEsOcupacion;
        private DateTime dtFechaBaja;
        private IList<EmpleadoColectivo> lstEmpleadoColectivo;

        /// <summary>
        /// Identificador
        /// </summary>
        public virtual int Idint
        {
            get { return intIdint; }
            set { intIdint = value; }
        }

        /// <summary>
        /// Nombre
        /// </summary>
        public virtual string Nombre
        {
            get { return strNombre; }
            set { strNombre = value; }
        }

        /// <summary>
        /// Descripción
        /// </summary>
        public virtual string Descripcion
        {
            get { return strDescripcion; }
            set { strDescripcion = value; }
        }

        /// <summary>
        /// Indica si se trata de un colectivo de tipo ocupación
        /// </summary>
        public virtual bool EsOcupacion
        {
            get { return blnEsOcupacion; }
            set { blnEsOcupacion = value; }
        }

        /// <summary>
        /// Fecha de baja
        /// </summary>
        public virtual DateTime FechaBaja
        {
            get { return dtFechaBaja; }
            set { dtFechaBaja = value; }
        }

        /// <summary>
        /// Vinculación del colectivo con sus empleados
        /// </summary>
        public virtual IList<EmpleadoColectivo> EmpleadosColectivos
        {
            get { return lstEmpleadoColectivo; }
            set { lstEmpleadoColectivo = value; }
        }
    }
}
