﻿using System;
using System.IO;
using System.Net;
using System.Net.Mail;

namespace SGF.Alertas
{
    class EnviarMail
    {
        static void Main(string[] args)
        {
            String strUsuario = "pfc2011sgf@gmail.com";
            String strPassword = "pfc2011uoc";
            String strReceptor = "pfc2011sgf@gmail.com";
            String strAsunto = "[SGF] Alerta";
            String strMensaje = "El sistema de notificación de alertas ha detectado el siguiente estado que requiere de su atención.";
            String strServidor = "smtp.gmail.com";

            try
            {
                Console.Out.WriteLine("Consultando alertas pendientes...");
                String[] arrFicheros = Directory.GetFiles(Directory.GetCurrentDirectory() + "\\Alertas");

                if (arrFicheros.Length == 0)
                {
                    Console.Out.WriteLine("No hay alertas pendientes.");
                }
                else
                {
                    Console.Out.WriteLine("Hay " + arrFicheros.Length + " alertas pendientes.");
                    Console.Out.WriteLine("Enviando mensaje...");
                    NetworkCredential loginInfo = new NetworkCredential(strUsuario, strPassword);
                    MailMessage msg = new MailMessage();
                    msg.From = new MailAddress(strUsuario);
                    msg.To.Add(new MailAddress(strReceptor));
                    msg.Subject = strAsunto;
                    msg.Body = strMensaje;
                    msg.IsBodyHtml = true;
                    msg.Priority = MailPriority.High;

                    foreach (String strFichero in arrFicheros)
                    {
                        msg.Attachments.Add(new Attachment(strFichero));
                    }

                    SmtpClient client = new SmtpClient(strServidor);
                    client.EnableSsl = true;
                    client.UseDefaultCredentials = false;
                    client.Credentials = loginInfo;
                    client.Send(msg);
                    msg.Dispose();
                    Console.Out.WriteLine("Mensaje enviado.");

                    foreach (String strFichero in arrFicheros)
                    {
                        File.Delete(strFichero);
                    }
                }
            }
            catch (Exception exp)
            {
                Console.Out.WriteLine("Error: " + exp.Message);
            }
        }
    }
}
