﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NHibernate_SGF.Entities
{
    /// <summary>
    /// Planificación de un curso
    /// </summary>
    public class Planificacion
    {
        private int intIdint;
        private string strNombre;
        private string strDescripcion;
        private DateTime dtFechaAlta;
        private DateTime dtFechaBaja;
        private Curso objCurso;

        /// <summary>
        /// Identificador
        /// </summary>
        public virtual int Idint
        {
            get { return intIdint; }
            set { intIdint = value; }
        }

        /// <summary>
        /// Nombre
        /// </summary>
        public virtual string Nombre
        {
            get { return strNombre; }
            set { strNombre = value; }
        }

        /// <summary>
        /// Descripción
        /// </summary>
        public virtual string Descripcion
        {
            get { return strDescripcion; }
            set { strDescripcion = value; }
        }

        /// <summary>
        /// Fecha de alta
        /// </summary>
        public virtual DateTime FechaAlta
        {
            get { return dtFechaAlta; }
            set { dtFechaAlta = value; }
        }

        /// <summary>
        /// Fecha de baja
        /// </summary>
        public virtual DateTime FechaBaja
        {
            get { return dtFechaBaja; }
            set { dtFechaBaja = value; }
        }

        /// <summary>
        /// Curso al que pertenece la planificación
        /// </summary>
        public virtual Curso Curso
        {
            get { return objCurso; }
            set { objCurso = value; }
        }
    }
}
